#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.6.0.3
id: jose-0.6.0.3-KnQnJXSkIYJIw5i0nNmEWi
key: jose-0.6.0.3-KnQnJXSkIYJIw5i0nNmEWi
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
author: Fraser Tweedale
exposed: True
indefinite: False
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
abi: 3b7893400cf28ef78ae0aa4e74be3e79
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/jose-0.6.0.3
library-dirs: /usr/lib/ghc-8.2.1/site-local/jose-0.6.0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/jose-0.6.0.3
hs-libraries: HSjose-0.6.0.3-KnQnJXSkIYJIw5i0nNmEWi
depends:
    base-4.10.0.0 attoparsec-0.13.2.0-CjTw1SIXl7j4WJB8EsmBPm
    base64-bytestring-1.0.0.1-D9uFxOosRHvGwKtuClA6fm
    concise-0.1.0.0-F3DX3JMFymHIwc7a0rbYVD containers-0.5.10.2
    cryptonite-0.24-JQ3NPvIvMVWG9FHR2Q0Evi
    lens-4.15.4-BVNSGosFkEc34U2t4uFumn
    memory-0.14.8-HEYe2msABjoBOvbV0yaOyF
    monad-time-0.2-87TQCV3wNpH91r1vLr0r7Q
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP template-haskell-2.12.0.0
    safe-0.3.15-AsY8t7BqxG7J4M7E7fbih5
    aeson-1.2.2.0-HUWi9FT4nd97NZtDZTzF1y
    unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN
    bytestring-0.10.8.2 text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz
    time-1.8.0.2 network-uri-2.6.1.0-4GXMsZ4PWr49y3TK4YgSYK
    QuickCheck-2.10.0.1-DTIBC3CyU6p3h4xSnOjkg1
    quickcheck-instances-0.3.16-1e3UqzXiLOyALTYmVjqoLP
    x509-1.7.2-GGwd2ufTO2hGHMdnUGdGxK
    vector-0.12.0.1-CnPH69pDwM4A5esizlXfXi
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             attoparsec-0.13.2.0-CjTw1SIXl7j4WJB8EsmBPm=754c9623208b731856696d360a56d5ab
             base64-bytestring-1.0.0.1-D9uFxOosRHvGwKtuClA6fm=3f1f6920f093e2e6ae14fb0bb49a0b10
             concise-0.1.0.0-F3DX3JMFymHIwc7a0rbYVD=9179292c319254519252fc0f6e42595b
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             cryptonite-0.24-JQ3NPvIvMVWG9FHR2Q0Evi=65764b15f83c82a01ed285cd69324f88
             lens-4.15.4-BVNSGosFkEc34U2t4uFumn=e82338a07e0485545cf962061c874e46
             memory-0.14.8-HEYe2msABjoBOvbV0yaOyF=92e862c72a81ac9c5b811b192e9d3acc
             monad-time-0.2-87TQCV3wNpH91r1vLr0r7Q=ff8d47d2a6f87adc90d59e7c84482d84
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP=f833729171d8aeedacf984b736ec248c
             template-haskell-2.12.0.0=f12600dbe1b363b1dcebe6addb7b269e
             safe-0.3.15-AsY8t7BqxG7J4M7E7fbih5=368aa3ad25486678b8f3fef19ec4be32
             aeson-1.2.2.0-HUWi9FT4nd97NZtDZTzF1y=5e6b7bed78b23d60beb18bffc251a955
             unordered-containers-0.2.8.0-KL4HUdwCmhYBQDTvY5v0GN=f561664cdb04511e569f0d44c9086d8e
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz=9217a19661a41b462c62d1a4bdf2e9b1
             time-1.8.0.2=e9c7416c5b79f57513fe11898c3d9f95
             network-uri-2.6.1.0-4GXMsZ4PWr49y3TK4YgSYK=0d8dbc66a8173770b7f27b72bc5a4600
             QuickCheck-2.10.0.1-DTIBC3CyU6p3h4xSnOjkg1=5588ae901bf7ac2e6503919cd7ebd8ab
             quickcheck-instances-0.3.16-1e3UqzXiLOyALTYmVjqoLP=54ea72c129b4636da3505b9839b7b50d
             x509-1.7.2-GGwd2ufTO2hGHMdnUGdGxK=d3aa59e44bb752288d66112bc9cbf757
             vector-0.12.0.1-CnPH69pDwM4A5esizlXfXi=23f6c0fe109d2ea8c2d28bae9257ae6c
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/sbin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

